; Akeeba core engine configuration values
; Copyright (c)2009-2014 Nicholas K. Dionysopoulos
; Version $Id: 05.tuning.ini 738 2011-06-15 13:11:38Z nikosdion $

[_group]
description=CONFIG_HEADER_TUNING

; ======================================================================
; Tuning configuration
; ======================================================================

; Minimum execution time per step
[akeeba.tuning.min_exec_time]
default=2000
type=integer
min=0
max=20000
shortcuts="0|250|500|1000|2000|3000|4000|5000|7500|10000|15000|20000"
scale=1000
uom=s
title=CONFIG_MINEXECTIME_TITLE
description=CONFIG_MINEXECTIME_DESCRIPTION

; Maximum execution time per step
[akeeba.tuning.max_exec_time]
default=14
type=integer
min=0
max=180
shortcuts="1|2|3|5|7|10|14|15|20|23|25|30|45|60|90|120|180"
scale=1
uom=s
title=CONFIG_MAXEXECTIME_TITLE
description=CONFIG_MAXEXECTIME_DESCRIPTION

; Run-time bias
[akeeba.tuning.run_time_bias]
default=75
type=integer
min=10
max=100
shortcuts="10|20|25|30|40|50|60|75|80|90|100"
scale=1
uom=%
title=CONFIG_RUNTIMEBIAS_TITLE
description=CONFIG_RUNTIMEBIAS_DESCRIPTION

; Resume backup after an AJAX error has occurred
[akeeba.advanced.autoresume]
default=1
type=bool
title=CONFIG_AUTORESUME_TITLE
description=CONFIG_AUTORESUME_DESCRIPTION

; Wait period before retrying the backup step
[akeeba.advanced.autoresume_timeout]
default=10
type=integer
min=1
max=36000
scale=1
uom="s"
shortcuts="3|5|10|15|20|30|45|60|90|120|300|600|900|1800|3600"
title=CONFIG_AUTORESUME_TIMEOUT_TITLE
description=CONFIG_AUTORESUME_TIMEOUT_DESCRIPTION

; Maximum retries of a backup step after an AJAX error
[akeeba.advanced.autoresume_maxretries]
default=3
type=integer
min=1
max=1000
scale=1
shortcuts="1|3|5|7|10|15|20|30|50|100"
title=CONFIG_AUTORESUME_MAXRETRIES_TITLE
description=CONFIG_AUTORESUME_MAXRETRIES_DESCRIPTION

;; These are the ultra advanced options for speed devils. WARNING: THEY CAN KILL THE BACKUP PROCESS WHEN ENABLED!

[akeeba.tuning.nobreak.beforelargefile]
default=0
type=bool
title=CONFIG_ADVANCED_SBBLF_LABEL
description=CONFIG_ADVANCED_SBBLF_DESC

[akeeba.tuning.nobreak.afterlargefile]
default=0
type=bool
title=CONFIG_ADVANCED_SBALF_LABEL
description=CONFIG_ADVANCED_SBALF_DESC

;
[akeeba.tuning.nobreak.proactive]
default=0
type=bool
title=CONFIG_ADVANCED_SBPA_LABEL
description=CONFIG_ADVANCED_SBPA_DESC

[akeeba.tuning.nobreak.domains]
default=0
type=bool
title=CONFIG_ADVANCED_SBBD_LABEL
description=CONFIG_ADVANCED_SBBD_LABEL

[akeeba.tuning.nobreak.finalization]
default=0
type=bool
title=CONFIG_ADVANCED_SBPP_LABEL
description=CONFIG_ADVANCED_SBPP_DESC

[akeeba.tuning.settimelimit]
default=0
type=bool
title=CONFIG_ADVANCED_SETTIMELIMIT_LABEL
description=CONFIG_ADVANCED_SETTIMELIMIT_LABEL